LibreOffice LibreOffice 6.2 SDK API Reference

Modules | Variables
EntryInitModes.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::embed
| interfaces related to embedded objects, both native UNO and OLE.

## Constant Groups
constants | com::sun::star::embed::EntryInitModes
| This constant set contains possible modes to initialize object persistence.

## Variables
const long | DEFAULT_INIT = 0
| In case object persistence is created based on existing entry, the object should be initialized from this entry. More...
const long | TRUNCATE_INIT = 1
| The object should be initialized as a new empty one. More...
const long | NO_INIT = 2
| The object should be initialized as a new one only in case it still was not initialized. More...
const long | MEDIA_DESCRIPTOR_INIT = 3
| The object should be initialized using additional arguments from provided com::sun::star::document::MediaDescriptor. More...
const long | URL_LINK_INIT = 4
| The object should be initialized as a link using URL provided in additional arguments. More...